#pragma once

#include <iostream>
#include <Eigen/Core>
#include <Eigen/Dense>
#include <time.h>
//#include <mkl.h>
#include <stdlib.h>
#include <direct.h>
// gdal
#include <proj.h>
#include <string>
#include "gdal_priv.h"
#include "ogr_geometry.h"
#include "gdalwarper.h"
#include "baseTool.h"
#include "simptsn.h"
using namespace std;
using namespace Eigen;

class test_moudel
{



};

int test_main(int mode,  string rootpath);
int test_mode_0();
int test_mode_1(string rootpath);
int test_ASF(string rootpath);
int test_mode_2();
int test_mode_3();
int test_mode_4();
int test_mode_5();
int test_mode_6();
int test_mode_7();
int test_LLA2XYZ_XYZ2LLA();

int test_vector_operator();

